Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.share.sql
Class DataValueLocalizer

    java.lang.Object
      oracle.ifs.share.sql.DataValueLocalizer

    public final class DataValueLocalizer

extends java.lang.Object

A DataValueLocalizer encapsulates formatting information used in data type conversions of DataValue instances.

(Published)

Constructor Summary
`DataValueLocalizer()` Constructs a DataValueLocalizer, using default Locale.
`DataValueLocalizer(java.util.Locale locale)` Constructs a DataValueLocalizer, using specified locale.

Method Summary
`java.text.DateFormat` | `getDateFormatter()` Gets the date formatter for this instance.
`java.util.Locale` | `getLocale()` Gets the locale for this instance.
`java.text.NumberFormat` | `getNumberFormatter()` Gets the number formatter for this instance.
`java.text.DateFormat` | `getTimeFormatter()` Gets the time formatter for this instance.
`java.util.TimeZone` | `getTimeZone()` Gets the time zone for this instance.
`void` | `setDateFormatter(java.text.DateFormat dateFormatter)` Sets the date formatter of this Localizer.
`void` | `setLocale(java.util.Locale locale)` Sets the locale for this instance.
`void` | `setNumberFormatter(java.text.NumberFormat numberFormatter)` Sets the number formatter of this Localizer.
`void` | `setTimeFormatter(java.text.DateFormat timeFormatter)` Sets the time formatter of this Localizer.
`void` | `setTimeZone(java.util.TimeZone timeZone)` Sets the time zone of this Localizer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataValueLocalizer

    public DataValueLocalizer()

  Constructs a DataValueLocalizer, using default Locale.

  All formatters, Time zone, etc. are defaulted.

  (Published)

### DataValueLocalizer

    public DataValueLocalizer(java.util.Locale locale)

  Constructs a DataValueLocalizer, using specified locale.

  All formatters, Time zone, etc. are defaulted.

  Parameters:
    `locale` - the locale of the Localizer, or null if the default locale of the Java VM is to be used.
  (Published)

Method Detail

### getLocale

    public java.util.Locale getLocale()

  Description copied from class: `DataValueLocalizer`
  Gets the locale for this instance.

  Returns:
    the locale
  (Published)

### getTimeZone

    public java.util.TimeZone getTimeZone()

  Description copied from class: `DataValueLocalizer`
  Gets the time zone for this instance.

  Returns:
    the time zone
  (Published)

### getNumberFormatter

    public java.text.NumberFormat getNumberFormatter()

  Description copied from class: `DataValueLocalizer`
  Gets the number formatter for this instance.

  Returns:
    the number formatter
  (Published)

### getDateFormatter

    public java.text.DateFormat getDateFormatter()

  Description copied from class: `DataValueLocalizer`
  Gets the date formatter for this instance.

  Returns:
    the date formatter
  (Published)

### getTimeFormatter

    public java.text.DateFormat getTimeFormatter()

  Description copied from class: `DataValueLocalizer`
  Gets the time formatter for this instance.

  Returns:
    the time formatter
  (Published)

### setLocale

    public void setLocale(java.util.Locale locale)

  Description copied from class: `DataValueLocalizer`
  Sets the locale for this instance.

  The number formatter, date formatter, and time formatter are set to default formatters for the specified locale.

  Parameters:
    `locale` - the locale
  (Published)

### setTimeZone

    public void setTimeZone(java.util.TimeZone timeZone)

  Description copied from class: `DataValueLocalizer`
  Sets the time zone of this Localizer.

  Parameters:
    `timeZone` - the time zone. If null, a default time zone for the locale of this Localizer is used.
  (Published)

### setNumberFormatter

    public void setNumberFormatter(java.text.NumberFormat numberFormatter)

  Description copied from class: `DataValueLocalizer`
  Sets the number formatter of this Localizer.

  Parameters:
    `numberFormatter` - the number formatter. If null, a default number formatter for the locale of this Localizer is used.
  (Published)

### setDateFormatter

    public void setDateFormatter(java.text.DateFormat dateFormatter)

  Description copied from class: `DataValueLocalizer`
  Sets the date formatter of this Localizer.

  Parameters:
    `dateFormatter` - the date formatter. If null, a default date formatter for the locale of this Localizer is used.
  (Published)

### setTimeFormatter

    public void setTimeFormatter(java.text.DateFormat timeFormatter)

  Description copied from class: `DataValueLocalizer`
  Sets the time formatter of this Localizer.

  Parameters:
    `timeFormatter` - the time formatter. If null, a default time formatter for the locale of this Localizer is used.
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD